std::random_device(3)

NAME
std::random_device -

SYNOPSIS

  Public Types
typedef unsigned int result_type

  Public Member Functions
random_device (const std::string &__token='mt19937')
random_device (const random_device &)=delete
double entropy () const noexcept
result_type operator() ()
void operator= (const random_device &)=delete

  Static Public Member Functions
static constexpr result_type max ()
static constexpr result_type min ()

Detailed Description

A standard interface to a platform-specific non-deterministic random number generator (if any are available).

Definition at line 1574 of file random.h.

Member Typedef Documentation

  typedef unsigned int std::random_device::result_type
The type of the generated random value.

Definition at line 1578 of file random.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.